#include "CmdLine.h"


RJS_CmdOpt::RJS_CmdOpt(const char *k, CmdOptFlags f)
{
	key = k;
	flags=f;
	present=NotPresent;
	val="";
}

RJS_CmdOpt::RJS_CmdOpt(const char *k, const RJS_String &defval, CmdOptFlags f)
{
	key = k;
	flags=f|Default|Value;
	present=NotPresent;
	val="";
	dval=defval;
}


void RJS_CmdOpt::dump()
{
	cout << "RJS_CmdOpt: " << keyword() << " {" << value_type() << "} = '" << value() <<"'";
	cout << " present_flags=(" ;
	if (is_present()) {
		cout << "Present";
		if (is_default()) cout << ",DefaultValue";
		if (value_present()) cout << ",ValuePresent";
	} else cout << "NotPresent";
	cout << ")\n";
}

void RJS_CmdOpt::reset()
{
	present=NotPresent;
	val="";
}

void RJS_CmdOpt::set()
{
	present = RJS_CmdOpt::Present;
}

int RJS_CmdOpt::set(const char *string_val)
{
	val=string_val;
	present = RJS_CmdOpt::Present|RJS_CmdOpt::ValuePresent;
	return set_value();
}

int RJS_CmdOpt::set_default()
{
	val=dval;
	present = RJS_CmdOpt::Present|RJS_CmdOpt::ValuePresent|DefaultValue;
	return set_value();
}

int RJS_CmdOpt::set_value() { return 1; }

const char *RJS_CmdOpt::value_type()
{
	return "string";
}

